/**
 * Persistence2 is an easy-use persistence framework. There are more interfaces 
 * and classes of ORM and SQL-MAPPING than old version and it provides more 
 * solutions for quick-development of complex application. 
 * 
 * Persistence2-config is a basic toolkit of Persistence2 framework. It 
 * provides management of settings on ORM and SQL-MAPPING.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the “Software”), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.persistence2.config;

import java.util.Map;

import com.nonesole.persistence2.config.bean.Action;

/**
 * The configuration toolkit will not deal with the assemble SQL, it provides calback interface to outside functions.  
 * @author jack lee
 * @version 1.0
 * @date 2016-10-02
 */
public interface IOrmMaker {

	/**
	 * key of fieldValueMap , means object's type
	 */
	public final static String TYPES = "1_types";
	
	/**
	 * key of fieldValueMap , means object's value
	 */
	public final static String VALUES = "2_values";
	
	/**
	 * This is the callback method for outside functions to assemble sql.
	 * @param object POJO which for assembling SQL
	 * @param fieldValueMap
	 * @param action
	 * @return SQL
	 * @throws Exception
	 */
	public String makeSQL(Object object,Map<String,Object> fieldValueMap,Action action,boolean isPrepared) 
			throws Exception;
	
}
