/**
 * Persistence2 is an easy-use persistence framework. There are more interfaces 
 * and classes of ORM and SQL-MAPPING than old version and it provides more 
 * solutions for quick-development of complex application. 
 * 
 * Persistence2-config is a basic toolkit of Persistence2 framework. It 
 * provides management of settings on ORM and SQL-MAPPING.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the “Software”), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.persistence2.config;

import org.w3c.dom.Node;

import com.nonesole.log.Logger;

/**
 * The parser for sql node
 * @author jack lee
 * @version 1.0
 * @date 2016-09-29
 */
public class SQLParser {

	private Logger logger = null;
	private static SQLParser parser;
	static {
		parser = new SQLParser();
	}
	private SQLParser(){
		logger = Logger.getInstance();
	}
	
	/**
	 * Get singleton object of SQLParser
	 * @return SQLParser
	 */
	public static SQLParser getInstance(){
		return parser;
	}
	
	/**
	 * Parse the sql node
	 * @param node
	 * @return OSMObject
	 * @throws ParserException 
	 */
	public String parse(Node node) throws ParserException{
		logger.debug("SQLParser:parse(Node)",null);
		if ( node != null ) {
			return node.getTextContent();
		}
		return null;
	}
	
}
