/**
 * Persistence2 is an easy-use persistence framework. There are more interfaces 
 * and classes of ORM and SQL-MAPPING than old version and it provides more 
 * solutions for quick-development of complex application. 
 * 
 * Persistence2-config is a basic toolkit of Persistence2 framework. It 
 * provides management of settings on ORM and SQL-MAPPING.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the “Software”), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.persistence2.config.bean;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;

/**
 * @author jack lee
 * @version 1.0
 */
public class Actions {

	private Map<String,Action> actions = null;
	
	/**
	 * Constructor
	 */
	public Actions(){
		actions = new HashMap<String,Action>();
	}
	
	/**
	 * @param key
	 * @param action
	 */
	public void put(String key,Action action){
		actions.put(key, action);
	}
	
	/**
	 * @param key
	 * @return
	 */
	public Action get(String key){
		return actions.get(key);
	}
	
	/**
	 * @param anotherAction
	 * @return
	 */
	public void link(Actions anotherAction) {
		if ( anotherAction != null && anotherAction.map() != null ) {
			if ( this.actions != null ) {
				Set<Entry<String,Action>> ens = anotherAction.map().entrySet();
				if ( ens != null ) {
					for ( Entry<String,Action> en : ens ) {
						this.actions.put(en.getKey(), en.getValue());
					}
				}
			}
		}
	}
	
	/**
	 * @return
	 */
	public Map<String,Action> map(){
		return actions;
	}
		
}
