/**
 * Persistence2 is an easy-use persistence framework. There are more interfaces 
 * and classes of ORM and SQL-MAPPING than old version and it provides more solutions 
 * for quick-development of complex application. 
 * 
 * Persistence2-obj2sql is the core toolkit of Persistence2 framework. It provides 
 * more services to deal with complex business logic by ORM and SQL-MAPPING. It 
 * would help developers to release from coding of DAO.
 * 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2017, nonesole.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining 
 * a copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
 * THE SOFTWARE.
 */
package com.nonesole.persistence2.sql.define;

import java.sql.Connection;

import com.nonesole.persistence2.sql.exception.ExecuteSQLException;

/**
 * This class provides more complex solution that more types of parameter 
 * are supported: List(T),POJO,List(POJO), ORM-POJO,List(ORM-POJO)<br/>  
 * @author jack lee
 * @version 1.0
 * @date 2016-10-04
 */
public interface IVoidAction {

	/**
	 * This method should be use to executes DML statement 
	 * when the parameter is single-value, POJO, Map&lt;String,Object&gt;,List&lt;Object&gt;
	 * @param actionName 
	 * @param object 
	 * @throws ExecuteSQLException
	 */
	public void voidAction(String actionName, Object object) 
			throws ExecuteSQLException;
	
	/**
	 * This method should be use to executes DML statement 
	 * when the parameter is single-value, POJO, Map&lt;String,Object&gt;,List&lt;Object&gt;
	 * @param actionName 
	 * @param object
	 * @param conn 
	 * @throws ExecuteSQLException
	 */
	public void voidAction(String actionName, Object object, Connection conn) 
			throws ExecuteSQLException;
	
	/**
	 * This method should be use to executes DML statement 
	 * when the parameter is single-value, POJO, Map&lt;String,Object&gt;,List&lt;Object&gt;
	 * @param actionName 
	 * @param object 
	 * @param conn
	 * @param isPrepared 
	 * @throws ExecuteSQLException
	 */
	public void voidAction(String actionName, Object object, Connection conn, boolean isPrepared) 
			throws ExecuteSQLException;
	
}
